Name:           ciphertest
Version:        0.1.1
Release:        3%{?dist}
Summary:        An SSL cipher checker

License:        GPLv3+
URL:            https://github.com/OpenSecurityResearch/ciphertest
Source0:        https://github.com/OpenSecurityResearch/ciphertest/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:      noarch

Requires:       gnutls-utils%{?_isa}
Requires:       openssl%{?_isa}
Requires:       bash%{?_isa}

%description
cipherTest.sh is an SSL cipher checker in that it uses gnutls, which has
support for many more configurations than openssl. It tests potentially 
~3,200 different configurations but does some pre-optimization so that
it minimizes "failed" checks.

%prep
%setup -q
find -name '*.sh' | xargs sed -i '1s|^#!/usr/bin/env bash|#!/bin/bash|'

%build
# nothing to build

%install
install -Dp -m 0755 cipherTest.sh %{buildroot}%{_bindir}/ciphertest

%files
%doc COPYING LICENSE README
%{_bindir}/%{name}

%changelog
* Tue Oct 29 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.1-3
- Fix path for bash (rhbz#1162185)

* Wed Oct 29 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.1-2
- Fix Source0

* Wed Oct 29 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.1-1
- Initial package for Fedora
